Name:           scim-tomoe
Version:        0.6.0
Release:        7%{?dist}
Summary:        Tomoe module for SCIM for handwritten input

Group:          System Environment/Libraries
License:        GPLv2+
URL:            http://tomoe.sourceforge.net/
Source0:        http://dl.sourceforge.net/sourceforge/tomoe/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  scim-devel
BuildRequires:  tomoe-devel >= %{version}, tomoe-gtk-devel >= %{version}
BuildRequires:  perl(XML::Parser), gettext
Requires:       scim, tomoe >= %{version}, tomoe-gtk >= %{version}
Patch1:         scim-tomoe-0.6.0-gcc43-cstring-440886.patch

%description
Scim-tomoe allows handwritten input of Chinese and Japanese characters
with tomoe using SCIM.


%prep
%setup -q
%patch1 -p1 -b .1-ctring~


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

rm $RPM_BUILD_ROOT%{_libdir}/scim-1.0/*/*/*.la

%find_lang %{name}


%clean
rm -rf ${RPM_BUILD_ROOT}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog
%{_libdir}/scim-1.0/*/Helper/tomoe.so
%{_datadir}/scim/icons/scim-tomoe.png
%{_bindir}/scim-tomoe


%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Sep  4 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.6.0-5
- fix license tag

* Thu Jul 10 2008 Jens Petersen <petersen@redhat.com> - 0.6.0-4.fc10
- libtomoe-gtk package was renamed to tomoe-gtk
- rebuild also for gucharmap disabled now

* Mon Apr 14 2008 Jens Petersen <petersen@redhat.com> - 0.6.0-3
- fix build under gcc43 (#440886)
- use the main sourceforge project URL

* Wed Aug 29 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 0.6.0-2
- Rebuild for selinux ppc32 issue.

* Fri Jun 29 2007 Jens Petersen <petersen@redhat.com> - 0.6.0-1
- update to 0.6.0 release
- buildrequire perl-XML-Parser for intltool, and gettext

* Wed Feb  7 2007 Jens Petersen <petersen@redhat.com> - 0.5.0-3
- add scim-tomoe-libexecdir.patch to make scim-tomoe wrapper script run
  (#227626)
- remove %%with_libstdc_preview

* Sun Jan 21 2007 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.5.0-2
- fix the building dependency.

* Sat Jan 20 2007 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.5.0-1
- update to 0.5.0.

* Thu Dec 21 2006 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.4.0-1
- update to 0.4.0.

* Fri Oct 7 2006 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.2.0-6
- fix the release number for upgrading install from FE5 to FE6.

* Sat Sep 15 2006 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.2.0-5
- mass rebuilding.

* Tue Apr  4 2006 Jens Petersen <petersen@redhat.com> - 0.2.0-4
- rebuild without libstdc++so7

* Wed Mar  1 2006 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.2-3
- update to 0.2

* Mon Feb 13 2006 Jens Petersen <petersen@redhat.com> - 0.1.0-3
- build conditionally with libstdc++so7 preview library (#166041)
  - add with_libstdc_preview switch and tweak libtool to link against it
- list shared object module files explicitly

* Fri Oct  7 2005 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.1.0-2
- add scim into the requirement

* Wed Aug 31 2005 Ryo Dairiki <ryo-dairiki@mbm.nifty.com> - 0.1.0-1
- update to 0.1.0

* Wed Aug 17 2005 Jens Petersen <petersen@redhat.com> - 0.0.0-0.20050817
- initial packaging of cvs snapshot
